---
title: XDomainRequest.open()
slug: Web/API/XDomainRequest/open
tags:
  - AJAX
  - IE
  - JavaScript
  - Method
  - Microsoft
  - Obsolete
  - Reference
---
<div>{{APIRef("XDomain")}}{{obsolete_header}}{{non-standard_header}}</div>

<p>Opens an {{domxref("XDomainRequest")}} which is configured to use a given method (GET/POST) and URL.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">xdr.open(method, url);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>method</code></dt>
 <dd>The HTTP method to use for the request. (GET or POST)</dd>
 <dt><code>url</code></dt>
 <dd>The URL to which to send the request.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">var xdr = new XDomainRequest();
xdr.open("get", "http://example.com/api/method");</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XDomainRequest.open")}}</p>
